Name:           avalon-framework
Epoch:          1
Version:        4.3
Release:        %mkrel 23
Group:          Development/Java
Summary:        Java components interfaces
License:        ASL 2.0
URL:            https://avalon.apache.org/
BuildArch:    	noarch

Source0:        https://archive.apache.org/dist/excalibur/avalon-framework/source/%{name}-api-%{version}-src.tar.gz
Source1:        https://archive.apache.org/dist/excalibur/avalon-framework/source/%{name}-impl-%{version}-src.tar.gz

Patch0001:      0001-Port-build-script-to-Maven-3.patch

BuildRequires:  maven-local
BuildRequires:  mvn(avalon-logkit:avalon-logkit)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(log4j:log4j)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)


%description
The Avalon framework consists of interfaces that define relationships
between commonly used application components, best-of-practice pattern
enforcements, and several lightweight convenience implementations of the
generic components.
What that means is that we define the central interface Component. We
also define the relationship (contract) a component has with peers,
ancestors and children.

%package javadoc
Summary:      API documentation %{name}

%description javadoc
%{summary}.

%prep
%setup -qcT
tar xvf %{SOURCE0}
tar xvf %{SOURCE1}
%patch0001 -p1

%mvn_package :aggregator __noinstall
%mvn_file ":*api*" %{name}-api
%mvn_file ":*impl*" %{name}-impl %{name}

# Add proper Apache Felix Bundle Plugin instructions
# so that we get a reasonable OSGi manifest.
for mod in api impl; do
    %pom_xpath_inject pom:project "<packaging>bundle</packaging>" *${mod}*/project.xml
    %pom_xpath_inject pom:build "
      <plugins>
        <plugin>
          <groupId>org.apache.felix</groupId>
          <artifactId>maven-bundle-plugin</artifactId>
          <extensions>true</extensions>
          <configuration>
            <instructions>
              <Bundle-SymbolicName>avalon-framework-${mod}-4.3</Bundle-SymbolicName>
              <_nouses>true</_nouses>
            </instructions>
          </configuration>
        </plugin>
      </plugins>" *${mod}*/project.xml
done

%mvn_alias 'avalon-framework:{*}' 'org.apache.avalon.framework:@1'

%build
# Test use old jmock
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license avalon-framework-api-4.3/LICENSE.txt
%license avalon-framework-api-4.3/NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license avalon-framework-api-4.3/LICENSE.txt
%license avalon-framework-api-4.3/NOTICE.txt




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1:4.3-23.mga9
+ Revision: 1827357
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:4.3-22.mga8
+ Revision: 1506953
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 daviddavid <daviddavid> 1:4.3-21.mga7
+ Revision: 1287241
- Add org.apache.avalon.framework: aliases

* Tue Sep 18 2018 umeabot <umeabot> 1:4.3-20.mga7
+ Revision: 1261442
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1:4.3-19.mga7
+ Revision: 1260219
- Mageia 7 Mass Rebuild

* Sun May 21 2017 neoclust <neoclust> 1:4.3-18.mga6
+ Revision: 1104009
- Rebuild because of missing rpm
- Fix epoch for update from mga5

* Sun May 14 2017 neoclust <neoclust> 0:4.3-17.mga6
+ Revision: 1101240
- Build with Maven

* Wed Mar 02 2016 neoclust <neoclust> 1:4.3-17.mga6
+ Revision: 982130
- Second rebuild of the java stack

* Fri Feb 26 2016 neoclust <neoclust> 1:4.3-16.mga6
+ Revision: 979298
- Rebuild on release

* Sun Feb 21 2016 neoclust <neoclust> 0:4.3-15.mga6
+ Revision: 975469
- First rebuild of the java stack
- sync package avalon-framework with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Jan 18 2015 dmorgan <dmorgan> 1:4.3-11.mga5
+ Revision: 811346
- Sync with Fc21
+ pterjan <pterjan>
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1:4.3-8.mga5
+ Revision: 747041
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.3-7.mga5
+ Revision: 678071
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:4.3-6.mga4
+ Revision: 502978
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:4.3-5.mga3
+ Revision: 346701
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 dmorgan <dmorgan> 1:4.3-4.mga3
+ Revision: 323239
- Build with java7

* Wed Jul 04 2012 dmorgan <dmorgan> 1:4.3-3.mga3
+ Revision: 267151
- Increase Epoch to fix update from mdv

* Wed Jul 04 2012 dmorgan <dmorgan> 0:4.3-3.mga3
+ Revision: 267144
- Fix use of aqlib
- Increase Epoch to fix update from mdv

* Mon Aug 01 2011 dmorgan <dmorgan> 0:4.3-2.mga2
+ Revision: 131241
- Add compatibility depmap for org.apache.avalon.framework groupId
- Convert jars to OSGi bundles using aqute-bndlib.

* Tue Jul 19 2011 dmorgan <dmorgan> 0:4.3-1.mga2
+ Revision: 126142
- Latest version
- Split into two jars, provide backward compatible symlink
- Cleanups according to new guidelines

* Wed Apr 27 2011 dmorgan <dmorgan> 0:4.1.4-10.mga1
+ Revision: 92256
- Rebuild after bootstrapping
- imported package avalon-framework

